# $Revision: 1.35 $, $Date: 2006/05/21 22:13:54 $
Summary:	Client for sending messages to a host's logged in users
Summary(de):	Client zum Senden von Nachrichten an Benutzer am entfernten Host
Summary(es):	Cliente y servidor para enviar mensajes para usuarios en mquinas remotas
Summary(fr):	Client pour envoyer des messages aux utilisteurs de machines distantes
Summary(pl):	Klient do wysyania komunikatw do zalogowanych uytkownikw
Summary(pt_BR):	Cliente e servidor para enviar mensagens para usurios em mquinas remotas
Summary(tr):	Baka alan tm kullanclara mesaj gnderme
Name:		rwall
Version:	0.17
Release:	15
License:	BSD
Group:		Networking
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	c7a85262fc9911e0574ce5706ce69369
Source1:	%{name}d.init
Patch0:		netkit-%{name}-WALL_CMD.patch
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rwall command sends a message to all of the users logged into a
specified host. Actually, your machine's rwall client sends the
message to the rwall daemon running on the specified host, and the
rwall daemon relays the message to all of the users logged in to that
host.

%description -l de
Der rwall-Client sendet eine Meldung an einen rwall-Dmon, der auf
einem entfernten Rechner luft und die Meldung an alle Benutzer der
des entfernten Rechners verbreitet.

%description -l es
El cliente rwall enva un mensaje para un servidor rwall ejecutando en
una mquina remota, que retransmite el mensaje para todos los usuarios
de esta mquina. El servidor rwall es ejecutado por el inetd
(/etc/inetd.conf), y se inhabilita por defecto en los sistemas.

%description -l fr
Le client rwall envoie un message  un dmon rwall tournant sur une
machine distante, qui relaie le message vers tous les utilisateurs de
la machine distante.

%description -l pl
Komenda rwall wysya komunikat do wszystkich uytkownikw zalogowanych
na okrelony komputer. Lokalny klient rwall wysya komunikat do
serwera rwall dziaajcego na wybranym komputerze, ktry to przekazuje
go wszystkim zalogowanym tam uytkownikom.

%description -l pt_BR
O cliente rwall envia uma mensagem para um servidor rwall rodando numa
mquina remota, o qual retransmite a mensagem para todos os usurios
dessa mquina. O servidor rwall  executado pelo inetd
(/etc/inetd.conf), e  desabilitado por default nos sistemas.

%description -l tr
Bir rwall sunucusu kendisine istemci tarafndan gnderilen bir mesaj
o anda alan tm kullanclara yanstr.

%package -n rwalld
Summary:	Server for sending messages to a host's logged in users
Summary(pl):	Serwer do wysyania komunikatw do zalogowanych uytkownikw
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	rwall-server

%description -n rwalld
Server for sending messages to a host's logged in users.

%description -n rwalld -l pl
Serwer do wysyania komunikatw do zalogowanych uytkownikw.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch0 -p1

%build
./configure \
	--installroot=$RPM_BUILD_ROOT

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rwalld

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/rwalld.8
echo ".so rpc.rwalld.8" > $RPM_BUILD_ROOT%{_mandir}/man8/rwalld.8

%clean
rm -rf $RPM_BUILD_ROOT

%post -n rwalld
/sbin/chkconfig --add rwalld
%service rwalld restart "rwalld server"

%preun -n rwalld
if [ "$1" = "0" ]; then
	%service rwalld stop
	/sbin/chkconfig --del rwalld
fi

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog README
%attr(755,root,root) %{_bindir}/rwall
%{_mandir}/man1/rwall.1*

%files -n rwalld
%defattr(644,root,root,755)
%attr(754,root,root) %config /etc/rc.d/init.d/rwalld
%attr(755,root,root) %{_sbindir}/rpc.rwalld
%{_mandir}/man8/rpc.rwalld.8*
%{_mandir}/man8/rwalld.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rwall.spec,v $
Revision 1.35  2006/05/21 22:13:54  glen
- rel 15

Revision 1.34  2006/05/01 10:19:31  darekr
- pass CC, added %doc

Revision 1.33  2006/03/13 22:13:30  glen
- use %service

Revision 1.32  2004/04/26 18:41:09  adamg
- release 14 for Ac (13 is for Ra)

Revision 1.31  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.30  2003/05/28 13:01:43  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:26:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:14:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2002/01/08 23:26:31  blues
- release 13
- some translations from CNV
STB

Revision 1.24  2002/01/08 15:20:23  qboosh
- rwalld: s/postun/preun/ (init.d/rwalld must exist to stop daemon)

Revision 1.23  2001/09/25 13:07:57  qboosh
- rwalld Prereq: /sbin/chkconfig
- pl translations
- release 12

Revision 1.22  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.20  2001/06/25 15:59:17  kloczek
- release 11,
- fix: added missing %defattr() in rwalld subpackage,
- Prereq: rc-scripts.

Revision 1.19  2001/04/30 16:05:30  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.17  2001/01/25 20:03:49  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.16  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.15  2000/10/24 02:12:35  kloczek
- release 6,
- separate rwall server into rwalld subpackage,
- use new rpm automation.

Revision 1.14  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.13  2000/08/24 21:27:42  pascalek
- update to 0.17

Revision 1.12  2000/06/12 14:21:29  baggins
- typo

Revision 1.11  2000/06/10 08:28:48  kloczek
- release8,
- fixed init script (s/smbd/rpc.rwalld/ and in messages
  s/rwalld/rpc.rwalld/).

Revision 1.10  2000/06/09 17:03:24  kloczek
- bump release to 7 (for allow upgrade from RH 6.2),
- added de, fr, tr translations from old BeroLinux spec file,
- Group changed to Networking/Daemons.

Revision 1.9  2000/06/09 16:43:19  kloczek
- standarized %post, %postun,
- some cosmetics.

Revision 1.8  2000/06/09 15:43:19  baggins
- updated to 0.16
- removed unnecassary patches

Revision 1.7  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.5  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.3  1999/09/11 14:03:53  misiek
- fixed requires (PR#54)

Revision 1.2  1999/08/24 13:47:36  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed init script (didn't include function library)
- doesn't invoke wall with -n anymore

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added a chkconfig compatible initscript
- added %attr attributes

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
